Loading...
Searching...
No Matches
gtsam::internal::VectorSpaceTraits< Class > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::VectorSpaceTraits< Class >

A helper that implements the traits interface for classes that define vector spaces To use this for your class, define: template<> struct traits<Class> : public VectorSpaceTraits<Class> {}; The class needs to support the requirements defined by HasVectorSpacePrereqs above.

Inheritance diagram for gtsam::internal::VectorSpaceTraits< Class >:

## Group

typedef additive_group_tag | group_flavor
static Class | Identity ()

## Public Member Functions

| BOOST_CONCEPT_ASSERT ((HasVectorSpacePrereqs< Class >))

## Public Types

typedef vector_space_tag | structure_category
Manifold
enum | { dimension = Class::dimension }
typedef Class | ManifoldType
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

## Additional Inherited Members

Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< Class, Class::dimension >
static TangentVector | Logmap (const Class &m, ChartJacobian Hm=boost::none)
static Class | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Class | Compose (const Class &v1, const Class &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Between (const Class &v1, const Class &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Inverse (const Class &v, ChartJacobian H=boost::none)
static int | GetDimension (const Class &)
static TangentVector | Local (const Class &origin, const Class &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Class | Retract (const Class &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/VectorSpace.h